gnutls_pubkey_import_x509_raw(3)

NAME
gnutls_pubkey_import_x509_raw - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pubkey_import_x509_raw(gnutls_pubkey_t pkey, const gnutls_datum_t * data, gnutls_x509_crt_fmt_t format, unsigned int flags);

ARGUMENTS

gnutls_pubkey_t pkey
    The public key

const gnutls_datum_t * data
    The public key data to be imported

gnutls_x509_crt_fmt_t format
    The format of the public key

unsigned int flags
    should be zero

DESCRIPTION
This function will import the given public key to the abstract gnutls_pubkey_t type.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.1.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/